Subject: Re: bug#41120: uvesafb service is unsupported on aarch64

From: Efraim Flashner <[email-masked]>
Date: Thu, 7 May 2020 11:12:34 +0300

On Thu, May 07, 2020 at 09:06:21AM +0200, Mathieu Othacehe wrote:
> 
> Hello Efraim,
> 
> > the uvesafb-service which was added to the installation image isn't
> > supported on aarch64 (or probably any non-x86 system) and causes the
> > creation of an installation image to fail.
> 
> Thanks for reporting. There's this small snippet in uvesafb-service:
> 
> --8<---------------cut here---------------start------------->8---
>   (or (not (and (string-suffix? "linux-gnu" %host-type)
>                 (or (string-prefix? "x86_64" %host-type)
>                     (string-prefix? "i686" %host-type))))
> --8<---------------cut here---------------end--------------->8---
> 
> which must then fail? Do you have a specific error message?
> 

I haven't tested the produced image, but the following builds without
trying to also build v86d

         (start
           (if (and (and (string-suffix? "linux-gnu" %host-type)
                         (or (string-prefix? "x86_64" %host-type)
                             (string-prefix? "i686" %host-type)))
                    (file-exists? "/dev/fb0"))
             #~(lambda ()
                 ;; uvesafb is only supported on x86 and x86_64.
                 (invoke #+(file-append kmod "/bin/modprobe")
                         "uvesafb"
                         (string-append "v86d=" #$v86d "/sbin/v86d")
                         "mode_option=1024x768"))
             #~(lambda () #t)))

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted